import request from '@/utils/request'

// 根据监测点ID获取有功功率趋势
export function getDataByLineId(data: any) {
    return request({
        url: '/harmonic-boot/powerStatistics/getDataByLineId',
        method: 'POST',
        data: data
    })
}
// 根据监测点ID、有功功率趋势区间字段、时间获取该有功功率趋势下指标越限列表
export function getTargetLimitById(data: any) {
    return request({
        url: '/harmonic-boot/powerStatistics/getTargetLimitById',
        method: 'POST',
        data: data
    })
}
// 点击越限列表时间查询指标的详细数据
export function getTargetByTime(data: any) {
    return request({
        url: '/harmonic-boot/powerStatistics/getTargetByTime',
        method: 'POST',
        data: data
    })
}
// 导出报告参数
export function exportExcelListTemplate(data: any) {
    return request({
        url: '/harmonic-boot/powerStatistics/exportExcelListTemplate',
        method: 'POST',
        data: data,
        responseType: 'blob'
    })
}
// 导出区间数据
export function exportExcelRangTemplate(data: any) {
    return request({
        url: '/harmonic-boot/powerStatistics/exportExcelRangTemplate',
        method: 'POST',
        data: data,
        responseType: 'blob'
    })
}
